.error404 .footer {
    /* Внутренний градиент */
    background:
        /* Фон (статический) */
        radial-gradient(circle at 50% 50%,
            #cb4b4b 0%,
            #802c2c 40%,
            #691313 70%,
            #2d0202 100%),
        /* Градиент для бордера (анимируемый) */
        linear-gradient(90deg,
            #ff6b6b,
            #b178ab,
            #6b5b95,
            #ff6b6b);

    border-radius: 60px 60px 0px 0px;

    /* Обрезаем фон, оставляя только бордер */
    background-clip: padding-box, border-box;
    background-origin: border-box;
    border-top: 10px solid transparent;

    /* Анимация градиента */
    background-size: auto, 300% 100%;
    animation: gradientFlow 10s linear infinite;
    position: relative;
    z-index: 1;
}

.error404 .main {
    position: relative;
    margin: 0px 40px;
    overflow: hidden;
}

.around_form {
    width: 100%;
    height: 100vh;
    position: absolute;
    display: none;


}

.error404 .galv_strage {
    z-index: 2;
}

.er404_container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
    top: 50%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
    position: absolute;
    align-items: center;
    z-index: 2;
}

.er404_container span {
    font-size: 40px;
    font-weight: 700;
    line-height: 200%;
    font-family: 'Trav_next_B', sans-serif;
    text-align: center;
    color: #62176d;
}

.around_block {
    position: absolute;



    margin: 20px;
    border-radius: 50%;
    z-index: -1;
}

.around_block1 {
    background:
        /* Фон (статический) */
        radial-gradient(circle at 50% 50%, rgb(210, 200, 200) 0%, rgb(193, 52, 52) 100%);
    box-shadow: 0 0 20px rgb(193, 52, 52);
    height: 400px;
    width: 400px;
}

.around_block2 {
    background: radial-gradient(circle at center, #f8fbff 0%, rgba(30, 115, 190, 0.99) 100%);
    box-shadow: 0 0 20px rgb(30, 115, 190, 0.99);
    height: 320px;
    width: 320px;
}

.around_block3 {
    background: radial-gradient(circle at center, #f8fbff 0%, rgba(153, 190, 30, 0.99) 100%);
    box-shadow: 0 0 20px rgb(153, 190, 30, 0.99);
    height: 240px;
    width: 240px;
}

.around_block4 {
    background: radial-gradient(circle at center, #f8fbff 0%, rgba(161, 30, 190, 0.99) 100%);
    box-shadow: 0 0 20px rgb(161, 30, 190, 0.99);
    height: 160px;
    width: 160px;
}

.around_block5 {
    background: radial-gradient(circle at center, #f8fbff 0%, rgba(7, 66, 88, 0.99) 100%);
    box-shadow: 0 0 20px rgb(7, 66, 88, 0.99);
    height: 80px;
    width: 80px;
}




@media (max-width: 768px) {
    .error404 .main {
        margin: 0 10px;
    }

    .er404_container span {
        font-size: 26px;
        line-height: 150%;
    }

    .around_block.mobile-size {
        transform: scale(0.4);
    }

}